Subject: RE: [SIP] A question about Request-URI:

From: Bodgey Yin Shaohua <[email-masked]>
Date: Tue, 5 Sep 2000 17:13:59 +0530

Hi: 
   The "Clear" means your interpretation"If a proxy server recieves a
request with the host part NOT matching its domain, the server will just
forward the request to the host specified
in the request-uri WITHOUT modifying the request-uri" have a contradiction
with the section 4.3.Because there is "return 404 response if it is
unwilling to do so", If your opinon is right, so RFC2543 need change
somewhat. 
   I have known how to select the SIP server, thanks!
   Best regards! 

Bodgey
-----Original Message-----
From: Hisham Khartabil [mailto:[email-masked]]
Sent: Tuesday, September 05, 2000 2:33 AM
To: Bodgey Yin Shaohua
Cc: [email-masked]
Subject: Re: [SIP] A question about Request-URI:

I think section 1.4.2 of the bis clearly describes the steps to be taken
(SRV, DNS, etc).

Regards,
Hisham

Bodgey Yin Shaohua wrote:

>
>
> Hi, Hisham:
>     It is a good interpretation. If so, RFC2543 need describe it more
> clear.
>     When a Server proxy a message WITHOUT modifying the request-uri,
> The problem how to select a best route to proxy the message in order
> to let it go to the destination more directly is worth considering.
> For instance, in the following example, why the Proxy1 don't proxy the
> message to there.com directly but to Proxy2? It need a reasoned
> interpretation.
>
>     Best regards!
>
> Bodgey
>
> -----Original Message-----
> From: Hisham Khartabil [mailto:[email-masked]]
> Sent: Monday, September 04, 2000 11:08 PM
> To: Bodgey Yin Shaohua
> Cc: [email-masked]
> Subject: Re: [SIP] A question about Request-URI:
>
> The authors of the call flows draft where under the misconception that
>
> the request-uri has to have the proxy server address in the host part.
>
> This was corrected in later releases.
>
> If a proxy server receives a request with the host part matching it
> domain, you handle the request by, for example, tooking up
> registrations
> (in the registrar) for that user-name.  If no registrations are found,
> a
> 404 is returned, otherwise, the request is forwarded to the address
> found in the registrar.
>
> If a proxy server recieves a request with the host part NOT matching
> its
> domain, the server will just forward the request to the host specified
>
> in the request-uri WITHOUT modifying the request-uri.
>
> Regards,
> Hisham
>
> Bodgey Yin Shaohua wrote:
>
> >
> >
> > Hi,Jonathan:
> >     Thank you for your reply.But I also have a puzzle according to
> > your answer. Let take a example of a successful call flow. (The
> > section 3.1.2 of draft-ietf-sip-call-flows-01a.txt)
> >
> >    User A          Proxy 1          Proxy 2          User B
> >      |                |                |                |
> >      |   INVITE F1    |                |                |
> >      |--------------->|                |                |
> >      |     407 F2     |                |                |
> >      |<---------------|                |                |
> >      |     ACK F3     |                |                |
> >      |--------------->|                |                |
> >      |   INVITE F4    |                |                |
> >      |--------------->|   INVITE F5    |                |
> >      |    (100) F6    |--------------->|   INVITE F7    |
> >      |<---------------|    (100) F8    |--------------->|
> >      |                |<---------------|                |
> >
> >  The F4 is :
> >    INVITE sip:[email-masked] SIP/2.0
> >    To: LittleGuy <sip:[email-masked]>
> >    Via: SIP/2.0/UDP here.com:5060
> >
> >  The F5 is:
> >    INVITE sip:[email-masked] SIP/2.0
> >    To: LittleGuy <sip:[email-masked]>
> >    Via: SIP/2.0/UDP ss1.wcom.com:5060;branch=2d4790.1
> >    Via: SIP/2.0/UDP here.com:5060
> >
> >  The F7 is:
> >    INVITE sip:[email-masked] SIP/2.0
> >    To: LittleGuy <sip:[email-masked]>
> >    Via: SIP/2.0/UDP ss2.wcom.com:5060;branch=721e418c4.1
> >    Via: SIP/2.0/UDP ss1.wcom.com:5060;branch=2d4790.1
> >    Via: SIP/2.0/UDP here.com:5060
> >
> >    The Proxy1 and Proxy2 have different host from the there.com, so
> it
> > may proxy the message to there.com as indicated in the figure. Or,
> it
> > may reject the message with 404 response, so the Call is not
> > successful.
> >
> >    In the early version of the Call flow, the Request-URI is the
> > Proxy's address (ss1.wcom.com for F4 and ss2.wcom.com for F5) which
> is
> > right according to your explaining.
> >
> >    So I don't which condition is right? If we choose a situation,
> the
> > RFC2543 may change somewhat in order to give clear contradiction.
> >
> >    Please check it.
> >    Best regards!
> >
> > Bodgey
> >
> > > Bodgey Yin Shaohua wrote:
> > >
> > > Hi:
> > >       I find a difference among different versons of the draft of
> > SIP
> > > Telephony Call Flow Examples:  Before May 2000, in the Request-URI
>
> > of
> > > SIP INVITE, there is a address of the Pxory the message will head,
>
> > but
> > > the version after this time, there is Callee's address the message
>
> > > will head.
> > >
> > >      In section 4.3 of RFC2543, there writes "Typically, the UAC
> > sets
> > > the Request-URI and TO to the same SIP URL, pesumed to remain
> > > unchanged over long time periods", so the latter case is right.
> But
> > it
> > > is difficult to explain the following word in this section that is
>
> > > "The host part of the Request-URI typically agrees with one of the
>
> > > host name of the receiving server. If it does not, the sever
> SHOULD
> > > proxy the request to the address indicated or return 404 response
> if
> >
> > > it is unwilling to do so".  I don't know what is meaning of the
> > > "receiving server"?
> >
> > Its the server that receives the request.
> >
> > Perhaps an example will illustrate. Lets say I am making a call to
> > [email-masked]. I would send an INVITE that looks like:
> >
> > INVITE sip:[email-masked] SIP/2.0
> > To: sip:[email-masked]
> >
> > Now, in one case, I will take example.com, look it up in DNS, and
> send
> >
> > it to the IP address of a server I discover through this process.
> The
> > example.com server receives the request (it is the receiving server
> > here). Now, the host part of the request-URI (example.com) matches
> to
> > domain of that server (also example.com), so it knows how to handle
> > requests for this domain.
> >
> > In another case, I am using a local outboud proxy at
> dynamicsoft.com.
> > So, instead of sending the above request there, I send it to the IP
> > address of the dynamicsoft.com proxy, which my UAC is configured
> with.
> >
> > Now, for this proxy, the domain of the request URI (example.com)
> does
> > not match the domain of the receiving serer (dynamicsoft.com). So,
> the
> >
> > proxy can either forward it to example.com, or reject it with 404.
> >
> > -Jonathan R.
> >
> > --
> > Jonathan D. Rosenberg                       72 Eagle Rock Ave.
> > Chief Scientist                             First Floor
> > dynamicsoft                                 East Hanover, NJ 07936
> > [email-masked]                     FAX:   (973) 952-5050
> > http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
> > http://www.dynamicsoft.com
> >
> > _______________________________________________
> > SIP mailing list
> > [email-masked]
> > http://lists.bell-labs.com/mailman/listinfo/sip